libepubgen::EPUBPath Class Reference documentation

Classes | Public Member Functions | Private Attributes | Friends | List of all members
libepubgen::EPUBPath Class Reference

Representation of a path in the package. More...

`#include <EPUBPath.h>`

## Classes
class | Relative

## Public Member Functions
| EPUBPath (const std::string &path)
void | swap (EPUBPath &other)
void | append (const EPUBPath &subpath)
void | appendComponent (const std::string &pathComponent)
const std::string | str () const
const Relative | relativeTo (const EPUBPath &base) const
void | appendTitle (const std::string &title)
std::string | getTitle () const
void | addChapter (const std::string &chapter)
| Adds chapter name (fixed layout). More...
const std::vector< std::string > & | getChapters () const

## Private Attributes
std::vector< std::string > | m_components
std::string | m_title
std::vector< std::string > | m_chapters

## Friends
bool | operator== (const EPUBPath &left, const EPUBPath &right)

## Detailed Description

Representation of a path in the package.

## Constructor & Destructor Documentation

## ◆ EPUBPath()

libepubgen::EPUBPath::EPUBPath | ( | const std::string & | path | ) |
| explicit

## Member Function Documentation

## ◆ addChapter()

void libepubgen::EPUBPath::addChapter | ( | const std::string & | chapter | ) |

Adds chapter name (fixed layout).

## ◆ append()

void libepubgen::EPUBPath::append | ( | const EPUBPath & | subpath | ) |

Referenced by libepubgen::operator/().

## ◆ appendComponent()

void libepubgen::EPUBPath::appendComponent | ( | const std::string & | pathComponent | ) |

Referenced by libepubgen::operator/().

## ◆ appendTitle()

void libepubgen::EPUBPath::appendTitle | ( | const std::string & | title | ) |

## ◆ getChapters()

const std::vector< std::string > & libepubgen::EPUBPath::getChapters | ( |  | ) | const

## ◆ getTitle()

std::string libepubgen::EPUBPath::getTitle | ( |  | ) | const

## ◆ relativeTo()

const EPUBPath::Relative libepubgen::EPUBPath::relativeTo | ( | const EPUBPath & | base | ) | const

Referenced by libepubgen::EPUBHTMLGenerator::closePopup(), libepubgen::EPUBManifest::insert(), and libepubgen::EPUBHTMLGenerator::insertBinaryObject().

## ◆ str()

const std::string libepubgen::EPUBPath::str | ( |  | ) | const

Referenced by libepubgen::EPUBHTMLGenerator::closePopup(), libepubgen::EPUBHTMLManager::create(), libepubgen::EPUBFontManager::insert(), libepubgen::EPUBImageManager::insert(), libepubgen::EPUBHTMLGenerator::insertBinaryObject(), libepubgen::EPUBGenerator::writeNavigation(), and libepubgen::EPUBGenerator::writeStylesheet().

## ◆ swap()

void libepubgen::EPUBPath::swap | ( | EPUBPath & | other | ) |

Referenced by libepubgen::swap().

## Friends And Related Function Documentation

## ◆ operator==

bool operator== | ( | const EPUBPath & | left,
|  | const EPUBPath & | right
| ) |  |
| friend

## Member Data Documentation

## ◆ m_chapters

std::vector<std::string> libepubgen::EPUBPath::m_chapters
| private

Referenced by addChapter(), and getChapters().

## ◆ m_components

std::vector<std::string> libepubgen::EPUBPath::m_components
| private

Referenced by append(), appendComponent(), EPUBPath(), libepubgen::operator==(), relativeTo(), str(), and swap().

## ◆ m_title

std::string libepubgen::EPUBPath::m_title
| private

Referenced by appendTitle(), and getTitle().

The documentation for this class was generated from the following files:

- EPUBPath.h
- EPUBPath.cpp